gpt-4o-transcribe-diarizeを呼び出します。
主な機能
- 音声からテキストへ - アップロードした音声ファイルを文字起こしします
- マルチパートアップロード - 元ファイルをフォームデータとして送信
- 出力形式 - モデル固有のレスポンス形式をサポート
- 話者分離 - 各区間で誰が話したかをラベル付け
- セグメントのタイムスタンプ - 各話者の発話ターンの開始時刻と終了時刻を返します
簡単な使用例
- cURL
- Python
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
GPT-4o Transcribe Diarize: 話者ダイアライゼーションに対応した音声文字起こしモデル。MixRouteでのリクエスト例とパラメーター。
gpt-4o-transcribe-diarizeを呼び出します。
curl "https://api.mixroute.ai/v1/audio/transcriptions" \
-H "Authorization: Bearer YOUR_API_KEY" \
-F "file=@speech.wav" \
-F "model=gpt-4o-transcribe-diarize" \
-F "response_format=diarized_json" \
-F "chunking_strategy=auto"
from openai import OpenAI
client = OpenAI(api_key="YOUR_API_KEY", base_url="https://api.mixroute.ai/v1")
with open("speech.wav", "rb") as audio_file:
transcript = client.audio.transcriptions.create(
model="gpt-4o-transcribe-diarize",
file=audio_file,
response_format="diarized_json",
chunking_strategy="auto",
)
print(transcript)
| パラメーター | 型 | 必須 | 説明 |
|---|---|---|---|
file | file | はい | multipartフォームデータとしてアップロードする音声ファイル。 |
model | string | はい | gpt-4o-transcribe-diarizeである必要があります。 |
language | string | いいえ | 対応している場合の入力言語コード。 |
prompt | string | いいえ | 文字起こしの指針となる任意のテキスト。 |
response_format | string | はい | 話者ラベル付きのセグメントを返すには、diarized_jsonに設定してください。 |
chunking_strategy | string | object | いいえ | autoを使用するか、独自の音声分割方法を指定します。 |